﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using ThinkGeo.MapSuite.WebEdition;
using ThinkGeo.MapSuite.Core;

namespace ZoomProblemRecreate
{
    public class MapControlExtend : Map
    {
        protected override void OnLoad(EventArgs e)
        {
            MapUnit = GeographyUnit.DecimalDegree;
            if (!Page.IsPostBack) 
            {
                MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromArgb(255, 233, 232, 214));
                MapTools.ScaleLine.Enabled = false;
                MapTools.KeyboardMapTool.Enabled = true;
                MapTools.MiniMap.Enabled = false;
                EditOverlay.TrackMode = TrackMode.None;
                MapUnit = GeographyUnit.DecimalDegree;
            }
        }

        private void LoadDefaultLayers()
        {
          
        }

        private void SetDefaultZoomLevels() 
        {

        }
    }
}